Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.replication.manager
Class ReplicationManagerImpl.ReplicationManagerDeleter

    java.lang.Object
      rice.p2p.replication.manager.ReplicationManagerImpl.ReplicationManagerDeleter

All Implemented Interfaces:
  Continuation

Enclosing class:
  ReplicationManagerImpl

    protected class ReplicationManagerImpl.ReplicationManagerDeleter

extends java.lang.Object
implements Continuation

Inner class which keeps track of the keys which we are currently deleting

Nested Class Summary

Nested classes/interfaces inherited from interface rice.Continuation
`Continuation.ErrorContinuation<R,E extends java.lang.Exception>, Continuation.ExternalContinuation<R,E extends java.lang.Exception>, Continuation.ExternalContinuationRunnable<R,E extends java.lang.Exception>, Continuation.ExternalRunnable, Continuation.ListenerContinuation<R,E extends java.lang.Exception>, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation<R,E extends java.lang.Exception>`

Field Summary
`protected Id` | `id` Whether or not we are waiting for a response
`protected IdSet` | `set` The set of ids we are responsible for deleting

Constructor Summary
`ReplicationManagerImpl.ReplicationManagerDeleter()` Bulds a new one

Method Summary
`protected void` | `go()` Internal method which starts the deleting, if it's not already started
`void` | `receiveException(java.lang.Exception e)` Implementation of continuation
`void` | `receiveResult(java.lang.Object o)` Implementation of continuation
`void` | `setRange(IdRange range)` Adds a set of ids to the to-delete list

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### set

    protected IdSet set

  The set of ids we are responsible for deleting

### id

    protected Id id

  Whether or not we are waiting for a response

Constructor Detail

### ReplicationManagerImpl.ReplicationManagerDeleter

    public ReplicationManagerImpl.ReplicationManagerDeleter()

  Bulds a new one

Method Detail

### setRange

    public void setRange(IdRange range)

  Adds a set of ids to the to-delete list

  Parameters:
    `range` - The current responsible range

### go

    protected void go()

  Internal method which starts the deleting, if it's not already started

### receiveResult

    public void receiveResult(java.lang.Object o)

  Implementation of continuation

  Specified by:
    `receiveResult` in interface `Continuation`
  Parameters:
    `o` - The result

### receiveException

    public void receiveException(java.lang.Exception e)

  Implementation of continuation

  Specified by:
    `receiveException` in interface `Continuation`
  Parameters:
    `o` - The result

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.